Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwoods.jgo.layout
Class JGoTreeNetworkLink

    java.lang.Object
      com.nwoods.jgo.layout.JGoTreeNetworkLink

public class JGoTreeNetworkLink
extends java.lang.Object

Constructor Summary
`JGoTreeNetworkLink()`

Method Summary
`void` | `CommitPosition()` Commits the position of the link to the corresponding JGoElement
`JGoTreeNetworkNode` | `getFromNode()` Gets this link's From JGoTreeNetworkNode
`JGoObject` | `getJGoObject()` Gets this link's associated JGoObject
`JGoTreeNetwork` | `getNetwork()` Gets the network that this link is part of.
`java.awt.Point` | `getRelativePoint()` Get a point relative to the parent node that may be useful in routing this link
`JGoTreeNetworkNode` | `getToNode()` Get the To JGoTreeNetworkNode for this link.
`int` | `getUserFlags()` Get an integer associated with the link
`java.lang.Object` | `getUserObject()` Get an Object associated with the link
`void` | `ReverseLink()` Reverses the link; i.e., exchanges the From and To nodes.
`void` | `setFromNode(JGoTreeNetworkNode node)` Sets this link's From JGoTreeNetworkNode
`void` | `setJGoObject(JGoObject obj)` Sets this link's associated JGoObject
`void` | `setNetwork(JGoTreeNetwork net)` Sets the network that this link is part of.
`void` | `setRelativePoint(java.awt.Point value)` Set a point relative to the parent node that may be useful in routing this link
`void` | `setToNode(JGoTreeNetworkNode node)` Set the To JGoTreeNetworkNode for this link.
`void` | `setUserFlags(int value)` Set an integer associated with the link
`void` | `setUserObject(java.lang.Object value)` Set an Object associated with the link

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JGoTreeNetworkLink

    public JGoTreeNetworkLink()

Method Detail

### getJGoObject

    public JGoObject getJGoObject()

  Gets this link's associated JGoObject

  Returns:

### setJGoObject

    public void setJGoObject(JGoObject obj)

  Sets this link's associated JGoObject

  Parameters:
    `obj` -

### getNetwork

    public JGoTreeNetwork getNetwork()

  Gets the network that this link is part of.

  Returns:

### setNetwork

    public void setNetwork(JGoTreeNetwork net)

  Sets the network that this link is part of.

  Parameters:
    `net` -

### getFromNode

    public JGoTreeNetworkNode getFromNode()

  Gets this link's From JGoTreeNetworkNode

  Returns:

### setFromNode

    public void setFromNode(JGoTreeNetworkNode node)

  Sets this link's From JGoTreeNetworkNode

  Parameters:
    `node` -

### getToNode

    public JGoTreeNetworkNode getToNode()

  Get the To JGoTreeNetworkNode for this link.

  Returns:

### setToNode

    public void setToNode(JGoTreeNetworkNode node)

  Set the To JGoTreeNetworkNode for this link.

  Parameters:
    `node` -

### ReverseLink

    public void ReverseLink()

  Reverses the link; i.e., exchanges the From and To nodes.

### CommitPosition

    public void CommitPosition()

  Commits the position of the link to the corresponding JGoElement

### getUserObject

    public java.lang.Object getUserObject()

  Get an Object associated with the link

  Returns:

### setUserObject

    public void setUserObject(java.lang.Object value)

  Set an Object associated with the link

  Parameters:
    `value` -

### getUserFlags

    public int getUserFlags()

  Get an integer associated with the link

  Returns:

### setUserFlags

    public void setUserFlags(int value)

  Set an integer associated with the link

  Parameters:
    `value` -

### getRelativePoint

    public java.awt.Point getRelativePoint()

  Get a point relative to the parent node that may be useful in routing this link

  Returns:

### setRelativePoint

    public void setRelativePoint(java.awt.Point value)

  Set a point relative to the parent node that may be useful in routing this link

  Parameters:
    `value` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD